System.Design 1.0.5000.0 2.0.0.0 System.Enum System.Flags

These identifiers indicate whether a component has some form of visible user interface and whether the user can take actions to move or alter the size of the component.

Defines identifiers that are used to indicate selection rules for a component.

- Field
  System.Windows.Forms.Design.SelectionRules

  Indicates the component supports sizing in all directions.

  1.0.5000.0
  2.0.0.0
- Field
  System.Windows.Forms.Design.SelectionRules

  Indicates the component supports resize from the bottom.

  1.0.5000.0
  2.0.0.0
- Field
  System.Windows.Forms.Design.SelectionRules

  Indicates the component supports resize from the left.

  1.0.5000.0
  2.0.0.0
- Field
  System.Windows.Forms.Design.SelectionRules

  Indicates the component is locked to its container. Overrides the , , , , , and bit flags of this enumeration.

  1.0.5000.0
  2.0.0.0
- Field
  System.Windows.Forms.Design.SelectionRules

  Indicates the component supports a location property that allows it to be moved on the screen.

  1.0.5000.0
  2.0.0.0
- Field
  System.Windows.Forms.Design.SelectionRules

  Indicates no special selection attributes.

  1.0.5000.0
  2.0.0.0
- Field
  System.Windows.Forms.Design.SelectionRules

  Indicates the component supports resize from the right.

  1.0.5000.0
  2.0.0.0
- Field
  System.Windows.Forms.Design.SelectionRules

  Indicates the component supports resize from the top.

  1.0.5000.0
  2.0.0.0
- Field
  System.Windows.Forms.Design.SelectionRules

  Indicates the component has some form of visible user interface and the selection service is drawing a selection border around this user interface. If a selected component has this rule set, you can assume that the component implements and that it is associated with a corresponding designer instance.

  1.0.5000.0
  2.0.0.0